Bug 848038 - Locale files for CLI are not installed
Locale files for CLI are not installed
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: katello-agent (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Bryan Kearney
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 07:58 EDT by Tomas Strachota
Modified: 2014-01-27 08:34 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Locale files were not included for the command line. This fix includes locale files in katello-cli. This reverts to the localized environment's language on the command line.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:53:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Strachota 2012-08-14 07:58:13 EDT
Description of problem:
Katello-cli package does not install locale files with translations.


Version-Release number of selected component (if applicable):
All versions of CFSE, Katello and SAM.


To fix this issue, make sure:

1) .mo files are installed into /usr/share/locale/ ...
2) the client switches locale so that correct local messages are used
Comment 1 Tomas Strachota 2012-08-14 08:02:05 EDT
This emerged when I was fixing a845198
Comment 2 Miroslav Suchý 2012-08-24 15:57:49 EDT
There are two runners:
https://github.com/Katello/katello/pull/470
https://github.com/Katello/katello/pull/511
Comment 3 Bryan Kearney 2012-08-27 09:44:10 EDT
fixed in master at 617d839fc8f0e34fac68d399086e5dcc6dc1aca8
Comment 5 Og Maciel 2012-09-14 18:02:12 EDT
# LANG=pt_BR katello
Usage:  katello <options> <command>
Supported Commands:
	activation_key ações específicas da chave de ativação no servidor katello
	admin          various administrative actions
	changeset      ações específicas do changeset no servidor do katello
	client         ações específicas do cliente no servidor do katello
	distribution   ações específicas de repositório no servidor do katello
	environment    ações específicas de ambiente no servidor do katello
	errata         ações específicas de errata no servidor do katello
	filter         ações específicas de filtro no servidor do katello
	gpg_key        ações específicas de chave GPG no servidor do katello
	org            ações específicas da emrpesa no servidor do katello
	package        ações específicas do pacote no servidor katello
	package_group  ações específicas de grupo de pacote no servidor katello
	permission     Ações específicas de permissão no servidor do katello
	ping           obter um status do servidor do katello
	product        ações específicas de produto no servidor katello
	provider       ações específicas de provedor no servidor katello
	repo           ações específicas de repositório no servidor do katello
	shell          executar um cli como uma shell
	sync_plan      ações específicas do plano de sincronização no servidor do katello
	system         ações específicas do sistema no servidor do katello
	system_group   system group specific actions in the katello server
	template       ações específicas do modelo no servidor do katello
	user           ações específicas de usuário no servidor do katello
	user_role      ações específicas de função de usuário no servidor do katello
	version        get the version of the katello server

katello: error: não foi dada nenhuma ação: por favor veja -- help

# LANG=fr katello
Usage:  katello <options> <command>
Supported Commands:
	activation_key actions spécifiques aux clés d'activation dans le serveur katello
	admin          various administrative actions
	changeset      actions spécifiques au changeset dans le serveur katello
	client         actions spécifiques au client dans le serveur katello
	distribution   actions spécifiques aux référentiels dans le serveur katello
	environment    actions spécifiques à l'environnement dans le serveur katello
	errata         actions spécifiques aux errata dans le serveur katello
	filter         actions spécifiques au filtre dans le serveur katello
	gpg_key        actions spécifiques à la clé GPG dans le serveur katello
	org            actions spécifiques à l'organisation dans le serveur katello
	package        actions spécifiques aux paquetages dans le serveur katello
	package_group  actions spécifiques aux groupe de paquetages dans le serveur katello
	permission     actions spécifiques aux permissions dans le serveur katello
	ping           obtenir l'état du serveur katello
	product        actions spécifiques aux produits dans le serveur katello
	provider       actions spécifiques aux fournisseurs dans le serveur katello
	repo           actions spécifiques aux référentiels dans le serveur katello
	shell          exécuter le cli en tant que shell
	sync_plan      actions spécifiques au plan de synchronisation dans le serveur katello
	system         actions spécifique au système dans le serveur Katello
	system_group   system group specific actions in the katello server
	template       actions spécifique aux modèles dans le serveur Katello
	user           actions spécifiques à l'utilisateur dans le serveur katello
	user_role      actions spécifiques au rôle de l'utilisateur dans le serveur katello
	version        get the version of the katello server

katello: error: aucune action spécifiée : merci de voir --help
Comment 6 Og Maciel 2012-09-14 18:02:30 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-7.el6cf.noarch
* katello-all-1.1.12-7.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-4.el6cf.noarch
* katello-cli-common-1.1.8-4.el6cf.noarch
* katello-common-1.1.12-7.el6cf.noarch
* katello-configure-1.1.9-3.el6cf.noarch
* katello-glue-candlepin-1.1.12-7.el6cf.noarch
* katello-glue-pulp-1.1.12-7.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 8 errata-xmlrpc 2012-12-04 14:53:30 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 9 Mike McCune 2013-08-16 14:18:52 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.